# https://devhints.io/sequel
require 'sequel'
require 'dotenv'
require 'sinatra'
Dotenv.load

SEQ = Sequel.connect ENV.fetch("DATABASE_URL")



post "/buttonStatus" do
	insert_params = {name: params.fetch("name"), buttonStatus: params.fetch("buttonStatus")}

	SEQ[:users]
		.insert_conflict(constraint: :users_pkey, update: insert_params)
		.insert(insert_params)
end


get "/buttonState/:user" do 
	user = SEQ[:users].where(:name => params.fetch(:user)).first
	{name: user[:name], buttonStatus: user[:buttonStatus]}.to_json
end


get '/' do
  redirect '/index.html'
end